//
//  ENNIOAppDelegate.h
//  NCC Ambience
//
//  Created by Jannis Leidel on 25.03.12.
//  Copyright (c) 2012 enn.io UG (haftungsbeschränkt). All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>

@interface ENNIOAppDelegate : NSObject <NSApplicationDelegate> {
    NSWindow *window;
    IBOutlet NSMenu *statusMenu;
    IBOutlet NSStatusItem *LSBToggleItem;
    NSStatusItem *statusItem;
    BOOL playAmbience;
    QTMovie *sound;
    NSString *filePath;
    NSImage *statusImage;
    NSImage *statusAltImage;
    NSNotificationCenter* notificationCenter;
}

@property(retain) QTMovie *sound;

@property (assign) IBOutlet NSWindow *window;

- (IBAction)toggleAmbience:(id)sender;
- (IBAction)quit:(id)sender;

@end
